| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::WSNewAlbumDialog Class Reference
Inheritance diagram for Digikam::WSNewAlbumDialog:

## Public Member Functions
| WSNewAlbumDialog (QWidget *const parent, const QString &toolName)
void | addToMainLayout (QWidget *const widget)
QGroupBox * | getAlbumBox () const
QDialogButtonBox * | getButtonBox () const
QDateTimeEdit * | getDateTimeEdit () const
DTextEdit * | getDescEdit () const
DTextEdit * | getLocEdit () const
QWidget * | getMainWidget () const
DTextEdit * | getTitleEdit () const
void | hideDateTime ()
void | hideDesc ()
void | hideLocation ()
void | setAlbumSuggestion (const QString &title)

## Protected Member Functions
void | getBaseAlbumProperties (WSAlbum &baseAlbum)